Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Service Oriented Architecture Tools Platform (STP) » STP Europa on a Intel MacBook Pro
STP Europa on a Intel MacBook Pro [message #374113] Wed, 18 July 2007 03:11 Go to next message
Eclipse UserFriend
Originally posted by: rnmixon.custco.biz

I saw one earlier posting about someone having problems with a mac, but no
real resolution.

I have tried to follow the instructions at:
http://wiki.eclipse.org/STP_Service_Creation_getting_started

First, is there an updated set of instructions for trying to use STP with
Europa? These were create April 28 using milestone builds it looks like.
Things have changed a bit since them. It would be nice to have a set of
instructions that work with update manager.

On to solving the problem. I'm trying to use Europa as the basis. I have
tried numerous ways - using the update function and trying to scrounge
equivalent downloaded packages to the one in the Wiki article.

This works fine on Windows Vista, but on my MacBook Pro, no matter how I
do it, I end up with the following error when I try and generate WSDL:
!ENTRY org.eclipse.stp.common 4 0 2007-07-17 19:41:13.188
!MESSAGE Celtix Java To Wsdl Generation failure
!STACK 0
java.lang.LinkageError: loader constraints violated when linking
javax/xml/namespace/QName class
at
com.sun.xml.bind.v2.model.impl.RuntimeBuiltinLeafInfoImpl.<clinit >(RuntimeBuiltinLeafInfoImpl.java:186)
at
com.sun.xml.bind.v2.model.impl.RuntimeTypeInfoSetImpl.<init >(RuntimeTypeInfoSetImpl.java:25)
at
com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:84)
at
com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:41)
at
com.sun.xml.bind.v2.model.impl.ModelBuilder.<init>(ModelBuilder.java:104)
at
com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.<init>(RuntimeModelBuilder.java:49)
at
com.sun.xml.bind.v2.runtime.JAXBContextImpl.getTypeInfoSet(J AXBContextImpl.java:372)
at
com.sun.xml.bind.v2.runtime.JAXBContextImpl.<init>(JAXBContextImpl.java:236)
at
com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:76)
at
com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:55)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:585)
at javax.xml.bind.ContextFinder.newInstance(ContextFinder.java: 210)
at javax.xml.bind.ContextFinder.find(ContextFinder.java:366)
at javax.xml.bind.JAXBContext.newInstance(JAXBContext.java:574)
at
org.apache.cxf.jaxb.JAXBDataBinding.createJAXBContext(JAXBDa taBinding.java:397)
at
org.apache.cxf.jaxb.JAXBDataBinding.initialize(JAXBDataBindi ng.java:267)
at
org.apache.cxf.service.factory.ReflectionServiceFactoryBean. buildServiceFromClass(ReflectionServiceFactoryBean.java:220)
at
org.apache.cxf.service.factory.ReflectionServiceFactoryBean. initializeServiceModel(ReflectionServiceFactoryBean.java:248 )
at
org.apache.cxf.service.factory.ReflectionServiceFactoryBean. create(ReflectionServiceFactoryBean.java:136)
at
org.apache.cxf.frontend.AbstractEndpointFactory.createEndpoi nt(AbstractEndpointFactory.java:83)
at
org.apache.cxf.frontend.AbstractServiceFactory.createService (AbstractServiceFactory.java:29)
at
org.apache.cxf.tools.java2wsdl.processor.JavaToProcessor.pro cess(JavaToProcessor.java:87)
at
org.eclipse.stp.sc.cxf.generators.CeltixJavaToWsdlGenerator. run(CeltixJavaToWsdlGenerator.java:102)
at
org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.genera te(ScJavaToWsdlBuilder.java:85)
at
org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.buildO neJavaFile(ScJavaToWsdlBuilder.java:57)
at
org.eclipse.stp.sc.common.builders.ScJavaBuilder.visitResour ceFile(ScJavaBuilder.java:124)
at
org.eclipse.stp.sc.common.builders.ScJavaBuilder.access$0(Sc JavaBuilder.java:112)
at
org.eclipse.stp.sc.common.builders.ScJavaBuilder$ScBuildDelt aVisitor.visit(ScJavaBuilder.java:185)
at
org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:67)
at
org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:76)
at
org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:76)
...
...


Any ideas on how to fix this?

Thank you - Richard
Re: STP Europa on a Intel MacBook Pro [message #374114 is a reply to message #374113] Wed, 18 July 2007 03:42 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: atoulme.intalio.com

Hi,

I end up with the following error when I try and generate WSDL:
> !ENTRY org.eclipse.stp.common 4 0 2007-07-17 19:41:13.188
> !MESSAGE Celtix Java To Wsdl Generation failure
> !STACK 0 java.lang.LinkageError: loader constraints violated when
> linking javax/xml/namespace/QName class
> at

I am pretty sure this problem is linked to the JRE you use.
In the JDK 6, the JSR173 is integrated with the JRE. So the
javax.xml.* classes are already present in the class path,
when the plugin tries to load a new bundle that contain the same classes.

What JDK do you use on your machines ?


Regards,

Antoine
--
Intalio, the Open Source BPMS Company

<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website</a>
Re: STP Europa on a Intel MacBook Pro [message #374115 is a reply to message #374114] Wed, 18 July 2007 04:46 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: rnmixon.custco.biz

Antoine - thanks for the quick answer.

I am using "JVM 1.5.0 (MacOS X Default)". I had not loaded Java 6 yet. Not
sure from your comment if this would be better or not.
Re: STP Europa on a Intel MacBook Pro [message #374116 is a reply to message #374115] Wed, 18 July 2007 15:31 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: rnmixon.custco.biz

BTW, I do have the option "-Dorg.osgi.framework.bootdelegation=*" in my
eclipse/eclipse.ini file.

Is any change in this option needed in order to work correctly on Mac OsX?
Re: STP Europa on a Intel MacBook Pro [message #374117 is a reply to message #374116] Thu, 19 July 2007 06:07 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: rnmixon.custco.biz

OK, maybe a different approach can work.

Can someone that is using an Intel Mac please give me the OsX version,
Java version they are using and what plugins they are using to get STP to
work?

Thanks much - Richard
Re: STP Europa on a Intel MacBook Pro [message #374118 is a reply to message #374117] Thu, 19 July 2007 06:21 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: atoulme.intalio.com

Rich,
not sure if that will fix the problem, but you could try running over
the Sun JDK 6. The Europa release is compatible with this version of the
JDK, and some plugins from JDT actually require it.

If that doesn't work, please let us know. Anybody on Mac around here ?

Rich wrote:
> OK, maybe a different approach can work.
>
> Can someone that is using an Intel Mac please give me the OsX version,
> Java version they are using and what plugins they are using to get STP
> to work?
>
> Thanks much - Richard
>


--
Intalio, the Open Source BPMS Company

<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website</a>
Re: STP Europa on a Intel MacBook Pro [message #374119 is a reply to message #374118] Thu, 19 July 2007 17:09 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: rnmixon.custco.biz

Unfortunately upgrading to the 1.6.0 release of Java for Mac OsX Tiger
(10.4) did not help. I still get the LinkageError (see way down below).

There are some additional messages complaining about bundles that have
been already installed - but I doubt this is related, as I have
consistently gotten the LinkageError even when I updated using the Update
service. On this install, I updated from a local update source to add the
STP components. The source was an extension location for my Windows Vista
setup that works correctly.

So how else can you resolve classloader issues?

Thanks again - Richard

!SESSION 2007-07-19 08:00:49.397
-----------------------------------------------
eclipse.buildId=I20070625-1500
java.version=1.6.0-dp
java.vendor=Apple Computer, Inc.
BootLoader constants: OS=macosx, ARCH=x86, WS=carbon, NL=en_US
Command-line arguments: -os macosx -ws carbon -arch x86

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.759
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/javax.wsdl_1.4.0.v20070611 1329.jar
Bundle "javax.wsdl" version "1.4.0.v200706111329" has already been
installed from: update@plugins/javax.wsdl_1.4.0.v200706111329.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.768
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.apache.xerces_2.8.0.v2 00705301630.jar
Bundle "org.apache.xerces" version "2.8.0.v200705301630" has already
been installed from:
update@plugins/org.apache.xerces_2.8.0.v200705301630.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.770
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.apache.xml.resolver_1. 1.0.v200705310020.jar
Bundle "org.apache.xml.resolver" version "1.1.0.v200705310020" has
already been installed from:
update@plugins/org.apache.xml.resolver_1.1.0.v200705310020.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.771
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.datatools.conn ectivity.db.generic.ui_1.0.0.200706071.jar
Bundle "org.eclipse.datatools.connectivity.db.generic.ui" version
"1.0.0.200706071" has already been installed from:
update@plugins /org.eclipse.datatools.connectivity.db.generic.ui_1.0.0.2007 06071.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.772
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.datatools.conn ectivity.db.generic_1.0.0.200706071.jar
Bundle "org.eclipse.datatools.connectivity.db.generic" version
"1.0.0.200706071" has already been installed from:
update@plugins /org.eclipse.datatools.connectivity.db.generic_1.0.0.2007060 71.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.773
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.datatools.conn ectivity.dbdefinition.genericJDBC_1.0.0.200706071.jar
Bundle "org.eclipse.datatools.connectivity.dbdefinition.genericJDBC "
version "1.0.0.200706071" has already been installed from:
update@plugins /org.eclipse.datatools.connectivity.dbdefinition.genericJDBC _1.0.0.200706071.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.774
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.datatools.help _1.5.0.200706181.jar
Bundle "org.eclipse.datatools.help" version "1.5.0.200706181" has
already been installed from:
update@plugins/org.eclipse.datatools.help_1.5.0.200706181.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.775
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.datatools.sqlt ools.db.generic_1.0.0.200706131.jar
Bundle "org.eclipse.datatools.sqltools.db.generic" version
"1.0.0.200706131" has already been installed from:
update@plugins /org.eclipse.datatools.sqltools.db.generic_1.0.0.200706131.j ar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.778
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.draw2d_3.2.100 .v20070529.jar
Bundle "org.eclipse.draw2d" version "3.2.100.v20070529" has already been
installed from: update@plugins/org.eclipse.draw2d_3.2.100.v20070529.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.779
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.emf.commonj.sd o_2.3.0.v200706262000.jar
Bundle "org.eclipse.emf.commonj.sdo" version "2.3.0.v200706262000" has
already been installed from:
update@plugins/org.eclipse.emf.commonj.sdo_2.3.0.v200706262000.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.780
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.emf.ecore.sdo_ 2.3.0.v200706262000.jar
Bundle "org.eclipse.emf.ecore.sdo" version "2.3.0.v200706262000" has
already been installed from:
update@plugins/org.eclipse.emf.ecore.sdo_2.3.0.v200706262000.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.783
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.gef_3.2.100.v2 0070620.jar
Bundle "org.eclipse.gef" version "3.2.100.v20070620" has already been
installed from: update@plugins/org.eclipse.gef_3.2.100.v20070620.jar


!ENTRY org.eclipse.stp.common 4 0 2007-07-19 08:01:36.391
!MESSAGE Celtix Java To Wsdl Generation failure
!STACK 0
java.lang.LinkageError: loader constraints violated when linking
javax/xml/namespace/QName class
at
com.sun.xml.bind.v2.model.impl.RuntimeBuiltinLeafInfoImpl.<clinit >(RuntimeBuiltinLeafInfoImpl.java:186)
at
com.sun.xml.bind.v2.model.impl.RuntimeTypeInfoSetImpl.<init >(RuntimeTypeInfoSetImpl.java:25)
at
com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:84)
at
com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:41)
at
com.sun.xml.bind.v2.model.impl.ModelBuilder.<init>(ModelBuilder.java:104)
at
com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.<init>(RuntimeModelBuilder.java:49)
at
com.sun.xml.bind.v2.runtime.JAXBContextImpl.getTypeInfoSet(J AXBContextImpl.java:372)
at
com.sun.xml.bind.v2.runtime.JAXBContextImpl.<init>(JAXBContextImpl.java:236)
at
com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:76)
at
com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:55)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:589)
at javax.xml.bind.ContextFinder.newInstance(ContextFinder.java: 210)
at javax.xml.bind.ContextFinder.find(ContextFinder.java:366)
at javax.xml.bind.JAXBContext.newInstance(JAXBContext.java:574)
at
org.apache.cxf.jaxb.JAXBDataBinding.createJAXBContext(JAXBDa taBinding.java:397)
at
org.apache.cxf.jaxb.JAXBDataBinding.initialize(JAXBDataBindi ng.java:267)
at
org.apache.cxf.service.factory.ReflectionServiceFactoryBean. buildServiceFromClass(ReflectionServiceFactoryBean.java:220)
at
org.apache.cxf.service.factory.ReflectionServiceFactoryBean. initializeServiceModel(ReflectionServiceFactoryBean.java:248 )
at
org.apache.cxf.service.factory.ReflectionServiceFactoryBean. create(ReflectionServiceFactoryBean.java:136)
at
org.apache.cxf.frontend.AbstractEndpointFactory.createEndpoi nt(AbstractEndpointFactory.java:83)
at
org.apache.cxf.frontend.AbstractServiceFactory.createService (AbstractServiceFactory.java:29)
at
org.apache.cxf.tools.java2wsdl.processor.JavaToProcessor.pro cess(JavaToProcessor.java:87)
at
org.eclipse.stp.sc.cxf.generators.CeltixJavaToWsdlGenerator. run(CeltixJavaToWsdlGenerator.java:102)
at
org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.genera te(ScJavaToWsdlBuilder.java:85)
at
org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.buildO neJavaFile(ScJavaToWsdlBuilder.java:57)
at
org.eclipse.stp.sc.common.builders.ScJavaBuilder.visitResour ceFile(ScJavaBuilder.java:124)
at
org.eclipse.stp.sc.common.builders.ScJavaBuilder.access$0(Sc JavaBuilder.java:112)
at
org.eclipse.stp.sc.common.builders.ScJavaBuilder$ScBuildDelt aVisitor.visit(ScJavaBuilder.java:185)
at
org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:67)
Re: STP Europa on a Intel MacBook Pro [message #374120 is a reply to message #374119] Thu, 19 July 2007 17:48 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: atoulme.intalio.com

Rich, at this point googling for the error message is the best
alternative. I found one other occurence of this error for the Corona guys:

http://dev.eclipse.org/mhonarc/lists/corona-dev/msg00782.htm l

You could also consider addressing the problem on the Celtix mailing list.

Cheers,

Antoine

Rich wrote:
> Unfortunately upgrading to the 1.6.0 release of Java for Mac OsX Tiger
> (10.4) did not help. I still get the LinkageError (see way down below).
>
> There are some additional messages complaining about bundles that have
> been already installed - but I doubt this is related, as I have
> consistently gotten the LinkageError even when I updated using the
> Update service. On this install, I updated from a local update source to
> add the STP components. The source was an extension location for my
> Windows Vista setup that works correctly.
>
> So how else can you resolve classloader issues?
>
> Thanks again - Richard
>
> !SESSION 2007-07-19 08:00:49.397
> -----------------------------------------------
> eclipse.buildId=I20070625-1500
> java.version=1.6.0-dp
> java.vendor=Apple Computer, Inc.
> BootLoader constants: OS=macosx, ARCH=x86, WS=carbon, NL=en_US
> Command-line arguments: -os macosx -ws carbon -arch x86
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.759
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/javax.wsdl_1.4.0.v200706111 329.jar
> Bundle "javax.wsdl" version "1.4.0.v200706111329" has already been
> installed from: update@plugins/javax.wsdl_1.4.0.v200706111329.jar
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.768
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.apache.xerces_2.8.0.v20 0705301630.jar
> Bundle "org.apache.xerces" version "2.8.0.v200705301630" has already
> been installed from:
> update@plugins/org.apache.xerces_2.8.0.v200705301630.jar
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.770
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.apache.xml.resolver_1.1 .0.v200705310020.jar
> Bundle "org.apache.xml.resolver" version "1.1.0.v200705310020" has
> already been installed from:
> update@plugins/org.apache.xml.resolver_1.1.0.v200705310020.jar
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.771
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.datatools.conne ctivity.db.generic.ui_1.0.0.200706071.jar
> Bundle "org.eclipse.datatools.connectivity.db.generic.ui" version
> "1.0.0.200706071" has already been installed from:
> update@plugins /org.eclipse.datatools.connectivity.db.generic.ui_1.0.0.2007 06071.jar
>
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.772
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.datatools.conne ctivity.db.generic_1.0.0.200706071.jar
> Bundle "org.eclipse.datatools.connectivity.db.generic" version
> "1.0.0.200706071" has already been installed from:
> update@plugins /org.eclipse.datatools.connectivity.db.generic_1.0.0.2007060 71.jar
>
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.773
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.datatools.conne ctivity.dbdefinition.genericJDBC_1.0.0.200706071.jar
> Bundle "org.eclipse.datatools.connectivity.dbdefinition.genericJDBC "
> version "1.0.0.200706071" has already been installed from:
> update@plugins /org.eclipse.datatools.connectivity.dbdefinition.genericJDBC _1.0.0.200706071.jar
>
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.774
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.datatools.help_ 1.5.0.200706181.jar
> Bundle "org.eclipse.datatools.help" version "1.5.0.200706181" has
> already been installed from:
> update@plugins/org.eclipse.datatools.help_1.5.0.200706181.jar
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.775
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.datatools.sqlto ols.db.generic_1.0.0.200706131.jar
> Bundle "org.eclipse.datatools.sqltools.db.generic" version
> "1.0.0.200706131" has already been installed from:
> update@plugins /org.eclipse.datatools.sqltools.db.generic_1.0.0.200706131.j ar
>
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.778
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.draw2d_3.2.100. v20070529.jar
> Bundle "org.eclipse.draw2d" version "3.2.100.v20070529" has already
> been installed from:
> update@plugins/org.eclipse.draw2d_3.2.100.v20070529.jar
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.779
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.emf.commonj.sdo _2.3.0.v200706262000.jar
> Bundle "org.eclipse.emf.commonj.sdo" version "2.3.0.v200706262000" has
> already been installed from:
> update@plugins/org.eclipse.emf.commonj.sdo_2.3.0.v200706262000.jar
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.780
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.emf.ecore.sdo_2 .3.0.v200706262000.jar
> Bundle "org.eclipse.emf.ecore.sdo" version "2.3.0.v200706262000" has
> already been installed from:
> update@plugins/org.eclipse.emf.ecore.sdo_2.3.0.v200706262000.jar
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.783
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.gef_3.2.100.v20 070620.jar
> Bundle "org.eclipse.gef" version "3.2.100.v20070620" has already been
> installed from: update@plugins/org.eclipse.gef_3.2.100.v20070620.jar
>
>
> !ENTRY org.eclipse.stp.common 4 0 2007-07-19 08:01:36.391
> !MESSAGE Celtix Java To Wsdl Generation failure
> !STACK 0
> java.lang.LinkageError: loader constraints violated when linking
> javax/xml/namespace/QName class
> at
> com.sun.xml.bind.v2.model.impl.RuntimeBuiltinLeafInfoImpl.<clinit >(RuntimeBuiltinLeafInfoImpl.java:186)
>
> at
> com.sun.xml.bind.v2.model.impl.RuntimeTypeInfoSetImpl.<init >(RuntimeTypeInfoSetImpl.java:25)
>
> at
> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:84)
>
> at
> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:41)
>
> at
> com.sun.xml.bind.v2.model.impl.ModelBuilder.<init>(ModelBuilder.java:104)
> at
> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.<init>(RuntimeModelBuilder.java:49)
>
> at
> com.sun.xml.bind.v2.runtime.JAXBContextImpl.getTypeInfoSet(J AXBContextImpl.java:372)
>
> at
> com.sun.xml.bind.v2.runtime.JAXBContextImpl.<init>(JAXBContextImpl.java:236)
>
> at
> com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:76)
> at
> com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:55)
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
>
> at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
>
> at java.lang.reflect.Method.invoke(Method.java:589)
> at javax.xml.bind.ContextFinder.newInstance(ContextFinder.java: 210)
> at javax.xml.bind.ContextFinder.find(ContextFinder.java:366)
> at javax.xml.bind.JAXBContext.newInstance(JAXBContext.java:574)
> at
> org.apache.cxf.jaxb.JAXBDataBinding.createJAXBContext(JAXBDa taBinding.java:397)
>
> at
> org.apache.cxf.jaxb.JAXBDataBinding.initialize(JAXBDataBindi ng.java:267)
> at
> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. buildServiceFromClass(ReflectionServiceFactoryBean.java:220)
>
> at
> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. initializeServiceModel(ReflectionServiceFactoryBean.java:248 )
>
> at
> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. create(ReflectionServiceFactoryBean.java:136)
>
> at
> org.apache.cxf.frontend.AbstractEndpointFactory.createEndpoi nt(AbstractEndpointFactory.java:83)
>
> at
> org.apache.cxf.frontend.AbstractServiceFactory.createService (AbstractServiceFactory.java:29)
>
> at
> org.apache.cxf.tools.java2wsdl.processor.JavaToProcessor.pro cess(JavaToProcessor.java:87)
>
> at
> org.eclipse.stp.sc.cxf.generators.CeltixJavaToWsdlGenerator. run(CeltixJavaToWsdlGenerator.java:102)
>
> at
> org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.genera te(ScJavaToWsdlBuilder.java:85)
>
> at
> org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.buildO neJavaFile(ScJavaToWsdlBuilder.java:57)
>
> at
> org.eclipse.stp.sc.common.builders.ScJavaBuilder.visitResour ceFile(ScJavaBuilder.java:124)
>
> at
> org.eclipse.stp.sc.common.builders.ScJavaBuilder.access$0(Sc JavaBuilder.java:112)
>
> at
> org.eclipse.stp.sc.common.builders.ScJavaBuilder$ScBuildDelt aVisitor.visit(ScJavaBuilder.java:185)
>
> at
> org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:67)
>
>
>


--
Intalio, the Open Source BPMS Company

<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website</a>
Re: STP Europa on a Intel MacBook Pro [message #374206 is a reply to message #374113] Fri, 27 July 2007 05:44 Go to previous messageGo to next message
Johnson Ma is currently offline Johnson MaFriend
Messages: 17
Registered: July 2009
Junior Member
Hi Rich,

We also meet the java.lang.LinkageError for javax/xml/namespace/QName during
development.
After tracking the class loading process, i found that QName was defined in
two places in that case:
jre/lib/rt.jar and stax-api-1.0.jar (comes from Apache CXF plugin). and
there are
different versions. Both of them have been loaded to jvm during j2w, which
caused the QName link error for JVM.
Please read the wiki page on detail reason and work around
(-Dorg.osgi.framework.bootdelegation=*)

http://wiki.eclipse.org/Eclisep_3.3_runtime_options_for_STP. SC


Regards


Johnson

"Rich" <rnmixon@custco.biz> wrote in message
news:ffa152fec79ade0aa0f24cfad9550dd2$1@www.eclipse.org...
>I saw one earlier posting about someone having problems with a mac, but no
>real resolution.
>
> I have tried to follow the instructions at:
> http://wiki.eclipse.org/STP_Service_Creation_getting_started
>
> First, is there an updated set of instructions for trying to use STP with
> Europa? These were create April 28 using milestone builds it looks like.
> Things have changed a bit since them. It would be nice to have a set of
> instructions that work with update manager.
>
> On to solving the problem. I'm trying to use Europa as the basis. I have
> tried numerous ways - using the update function and trying to scrounge
> equivalent downloaded packages to the one in the Wiki article.
>
> This works fine on Windows Vista, but on my MacBook Pro, no matter how I
> do it, I end up with the following error when I try and generate WSDL:
> !ENTRY org.eclipse.stp.common 4 0 2007-07-17 19:41:13.188
> !MESSAGE Celtix Java To Wsdl Generation failure
> !STACK 0 java.lang.LinkageError: loader constraints violated when linking
> javax/xml/namespace/QName class
> at
> com.sun.xml.bind.v2.model.impl.RuntimeBuiltinLeafInfoImpl.<clinit >(RuntimeBuiltinLeafInfoImpl.java:186)
> at
> com.sun.xml.bind.v2.model.impl.RuntimeTypeInfoSetImpl.<init >(RuntimeTypeInfoSetImpl.java:25)
> at
> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:84)
> at
> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:41)
> at
> com.sun.xml.bind.v2.model.impl.ModelBuilder.<init>(ModelBuilder.java:104)
> at
> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.<init>(RuntimeModelBuilder.java:49)
> at
> com.sun.xml.bind.v2.runtime.JAXBContextImpl.getTypeInfoSet(J AXBContextImpl.java:372)
> at
> com.sun.xml.bind.v2.runtime.JAXBContextImpl.<init>(JAXBContextImpl.java:236)
> at
> com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:76)
> at
> com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:55)
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
> at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
> at java.lang.reflect.Method.invoke(Method.java:585)
> at javax.xml.bind.ContextFinder.newInstance(ContextFinder.java: 210)
> at javax.xml.bind.ContextFinder.find(ContextFinder.java:366)
> at javax.xml.bind.JAXBContext.newInstance(JAXBContext.java:574)
> at
> org.apache.cxf.jaxb.JAXBDataBinding.createJAXBContext(JAXBDa taBinding.java:397)
> at
> org.apache.cxf.jaxb.JAXBDataBinding.initialize(JAXBDataBindi ng.java:267)
> at
> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. buildServiceFromClass(ReflectionServiceFactoryBean.java:220)
> at
> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. initializeServiceModel(ReflectionServiceFactoryBean.java:248 )
> at
> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. create(ReflectionServiceFactoryBean.java:136)
> at
> org.apache.cxf.frontend.AbstractEndpointFactory.createEndpoi nt(AbstractEndpointFactory.java:83)
> at
> org.apache.cxf.frontend.AbstractServiceFactory.createService (AbstractServiceFactory.java:29)
> at
> org.apache.cxf.tools.java2wsdl.processor.JavaToProcessor.pro cess(JavaToProcessor.java:87)
> at
> org.eclipse.stp.sc.cxf.generators.CeltixJavaToWsdlGenerator. run(CeltixJavaToWsdlGenerator.java:102)
> at
> org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.genera te(ScJavaToWsdlBuilder.java:85)
> at
> org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.buildO neJavaFile(ScJavaToWsdlBuilder.java:57)
> at
> org.eclipse.stp.sc.common.builders.ScJavaBuilder.visitResour ceFile(ScJavaBuilder.java:124)
> at
> org.eclipse.stp.sc.common.builders.ScJavaBuilder.access$0(Sc JavaBuilder.java:112)
> at
> org.eclipse.stp.sc.common.builders.ScJavaBuilder$ScBuildDelt aVisitor.visit(ScJavaBuilder.java:185)
> at
> org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:67)
> at
> org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:76)
> at
> org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:76)
> ..
> ..
>
>
> Any ideas on how to fix this?
>
> Thank you - Richard
>
Re: STP Europa on a Intel MacBook Pro [message #374207 is a reply to message #374206] Fri, 27 July 2007 05:56 Go to previous messageGo to next message
Johnson Ma is currently offline Johnson MaFriend
Messages: 17
Registered: July 2009
Junior Member
Hi Rich,
I missed your previous post that you already set the
Dorg.osgi.framework.bootdelegation=* flag.

I don't have an mac here. Can you add -verbose:class jvm flag before
starting eclipse? Then we can know which class and jar caused this
LinkError.

For the JVM version, 5.0 is good so far. I think cxf has some problem to run
on jdk6.

Regards

Johnson


"johnson ma" <johnson.ma@iona.com> wrote in message
news:f8c0rc$sa2$1@build.eclipse.org...
> Hi Rich,
>
> We also meet the java.lang.LinkageError for javax/xml/namespace/QName
> during development.
> After tracking the class loading process, i found that QName was defined
> in two places in that case:
> jre/lib/rt.jar and stax-api-1.0.jar (comes from Apache CXF plugin). and
> there are
> different versions. Both of them have been loaded to jvm during j2w, which
> caused the QName link error for JVM.
> Please read the wiki page on detail reason and work around
> (-Dorg.osgi.framework.bootdelegation=*)
>
> http://wiki.eclipse.org/Eclisep_3.3_runtime_options_for_STP. SC
>
>
> Regards
>
>
> Johnson
>
> "Rich" <rnmixon@custco.biz> wrote in message
> news:ffa152fec79ade0aa0f24cfad9550dd2$1@www.eclipse.org...
>>I saw one earlier posting about someone having problems with a mac, but no
>>real resolution.
>>
>> I have tried to follow the instructions at:
>> http://wiki.eclipse.org/STP_Service_Creation_getting_started
>>
>> First, is there an updated set of instructions for trying to use STP with
>> Europa? These were create April 28 using milestone builds it looks like.
>> Things have changed a bit since them. It would be nice to have a set of
>> instructions that work with update manager.
>>
>> On to solving the problem. I'm trying to use Europa as the basis. I have
>> tried numerous ways - using the update function and trying to scrounge
>> equivalent downloaded packages to the one in the Wiki article.
>>
>> This works fine on Windows Vista, but on my MacBook Pro, no matter how I
>> do it, I end up with the following error when I try and generate WSDL:
>> !ENTRY org.eclipse.stp.common 4 0 2007-07-17 19:41:13.188
>> !MESSAGE Celtix Java To Wsdl Generation failure
>> !STACK 0 java.lang.LinkageError: loader constraints violated when linking
>> javax/xml/namespace/QName class
>> at
>> com.sun.xml.bind.v2.model.impl.RuntimeBuiltinLeafInfoImpl.<clinit >(RuntimeBuiltinLeafInfoImpl.java:186)
>> at
>> com.sun.xml.bind.v2.model.impl.RuntimeTypeInfoSetImpl.<init >(RuntimeTypeInfoSetImpl.java:25)
>> at
>> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:84)
>> at
>> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:41)
>> at
>> com.sun.xml.bind.v2.model.impl.ModelBuilder.<init>(ModelBuilder.java:104)
>> at
>> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.<init>(RuntimeModelBuilder.java:49)
>> at
>> com.sun.xml.bind.v2.runtime.JAXBContextImpl.getTypeInfoSet(J AXBContextImpl.java:372)
>> at
>> com.sun.xml.bind.v2.runtime.JAXBContextImpl.<init>(JAXBContextImpl.java:236)
>> at
>> com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:76)
>> at
>> com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:55)
>> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>> at
>> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
>> at
>> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
>> at java.lang.reflect.Method.invoke(Method.java:585)
>> at
>> javax.xml.bind.ContextFinder.newInstance(ContextFinder.java: 210)
>> at javax.xml.bind.ContextFinder.find(ContextFinder.java:366)
>> at javax.xml.bind.JAXBContext.newInstance(JAXBContext.java:574)
>> at
>> org.apache.cxf.jaxb.JAXBDataBinding.createJAXBContext(JAXBDa taBinding.java:397)
>> at
>> org.apache.cxf.jaxb.JAXBDataBinding.initialize(JAXBDataBindi ng.java:267)
>> at
>> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. buildServiceFromClass(ReflectionServiceFactoryBean.java:220)
>> at
>> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. initializeServiceModel(ReflectionServiceFactoryBean.java:248 )
>> at
>> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. create(ReflectionServiceFactoryBean.java:136)
>> at
>> org.apache.cxf.frontend.AbstractEndpointFactory.createEndpoi nt(AbstractEndpointFactory.java:83)
>> at
>> org.apache.cxf.frontend.AbstractServiceFactory.createService (AbstractServiceFactory.java:29)
>> at
>> org.apache.cxf.tools.java2wsdl.processor.JavaToProcessor.pro cess(JavaToProcessor.java:87)
>> at
>> org.eclipse.stp.sc.cxf.generators.CeltixJavaToWsdlGenerator. run(CeltixJavaToWsdlGenerator.java:102)
>> at
>> org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.genera te(ScJavaToWsdlBuilder.java:85)
>> at
>> org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.buildO neJavaFile(ScJavaToWsdlBuilder.java:57)
>> at
>> org.eclipse.stp.sc.common.builders.ScJavaBuilder.visitResour ceFile(ScJavaBuilder.java:124)
>> at
>> org.eclipse.stp.sc.common.builders.ScJavaBuilder.access$0(Sc JavaBuilder.java:112)
>> at
>> org.eclipse.stp.sc.common.builders.ScJavaBuilder$ScBuildDelt aVisitor.visit(ScJavaBuilder.java:185)
>> at
>> org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:67)
>> at
>> org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:76)
>> at
>> org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:76)
>> ..
>> ..
>>
>>
>> Any ideas on how to fix this?
>>
>> Thank you - Richard
>>
>
>
Re: STP Europa on a Intel MacBook Pro [message #374211 is a reply to message #374207] Tue, 31 July 2007 05:48 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: rnmixon.custco.biz

Johnson,

Thanks for noticing :) I was away for a few days.

While trying to get the -verbose:class to work (never did as far as I can
tell). I finally realized (I think) that on Mac Os X, the
~/tools/eclipse/eclipse.ini file is not used. Instead I have to open the
Eclipse.app launcher and use the Contents/MacOS/eclipse.ini file. Once I
modified that with the "-Dorg.osgi.framework.bootdelegation=*" property,
the WSDL generation now seems to be working without the QName LinkageError
exception.

One note, it does require me to pre-create the package structure under the
WSDL directory in the example (e.g. wsdl/com/ibm/dw/scicalc) which took a
bit of figuring out.

Thank you again for your help/ear. I can try this STP things out a bit
more now.

- Richard
Re: STP Europa on a Intel MacBook Pro [message #374218 is a reply to message #374211] Fri, 31 August 2007 13:38 Go to previous message
Eclipse UserFriend
Originally posted by: atoulme.intalio.com

I finally realized (I think) that on Mac Os X, the
> ~/tools/eclipse/eclipse.ini file is not used. Instead I have to open the
> Eclipse.app launcher and use the Contents/MacOS/eclipse.ini file.
I filed a bug regarding this point:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=201904

Please feel free to review and vote!

Cheers,

Antoine

--
Intalio, the Open Source BPMS Company

<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website</a>
Re: STP Europa on a Intel MacBook Pro [message #589678 is a reply to message #374113] Wed, 18 July 2007 03:42 Go to previous message
Eclipse UserFriend
Originally posted by: atoulme.intalio.com

Hi,

I end up with the following error when I try and generate WSDL:
> !ENTRY org.eclipse.stp.common 4 0 2007-07-17 19:41:13.188
> !MESSAGE Celtix Java To Wsdl Generation failure
> !STACK 0 java.lang.LinkageError: loader constraints violated when
> linking javax/xml/namespace/QName class
> at

I am pretty sure this problem is linked to the JRE you use.
In the JDK 6, the JSR173 is integrated with the JRE. So the
javax.xml.* classes are already present in the class path,
when the plugin tries to load a new bundle that contain the same classes.

What JDK do you use on your machines ?


Regards,

Antoine
--
Intalio, the Open Source BPMS Company

<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website</a>
Re: STP Europa on a Intel MacBook Pro [message #589693 is a reply to message #374114] Wed, 18 July 2007 04:46 Go to previous message
Rich is currently offline RichFriend
Messages: 7
Registered: July 2009
Junior Member
Antoine - thanks for the quick answer.

I am using "JVM 1.5.0 (MacOS X Default)". I had not loaded Java 6 yet. Not
sure from your comment if this would be better or not.
Re: STP Europa on a Intel MacBook Pro [message #589702 is a reply to message #374115] Wed, 18 July 2007 15:31 Go to previous message
Rich is currently offline RichFriend
Messages: 7
Registered: July 2009
Junior Member
BTW, I do have the option "-Dorg.osgi.framework.bootdelegation=*" in my
eclipse/eclipse.ini file.

Is any change in this option needed in order to work correctly on Mac OsX?
Re: STP Europa on a Intel MacBook Pro [message #589714 is a reply to message #374116] Thu, 19 July 2007 06:07 Go to previous message
Rich is currently offline RichFriend
Messages: 7
Registered: July 2009
Junior Member
OK, maybe a different approach can work.

Can someone that is using an Intel Mac please give me the OsX version,
Java version they are using and what plugins they are using to get STP to
work?

Thanks much - Richard
Re: STP Europa on a Intel MacBook Pro [message #589725 is a reply to message #374117] Thu, 19 July 2007 06:21 Go to previous message
Eclipse UserFriend
Originally posted by: atoulme.intalio.com

Rich,
not sure if that will fix the problem, but you could try running over
the Sun JDK 6. The Europa release is compatible with this version of the
JDK, and some plugins from JDT actually require it.

If that doesn't work, please let us know. Anybody on Mac around here ?

Rich wrote:
> OK, maybe a different approach can work.
>
> Can someone that is using an Intel Mac please give me the OsX version,
> Java version they are using and what plugins they are using to get STP
> to work?
>
> Thanks much - Richard
>


--
Intalio, the Open Source BPMS Company

<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website</a>
Re: STP Europa on a Intel MacBook Pro [message #589732 is a reply to message #374118] Thu, 19 July 2007 17:09 Go to previous message
Rich is currently offline RichFriend
Messages: 7
Registered: July 2009
Junior Member
Unfortunately upgrading to the 1.6.0 release of Java for Mac OsX Tiger
(10.4) did not help. I still get the LinkageError (see way down below).

There are some additional messages complaining about bundles that have
been already installed - but I doubt this is related, as I have
consistently gotten the LinkageError even when I updated using the Update
service. On this install, I updated from a local update source to add the
STP components. The source was an extension location for my Windows Vista
setup that works correctly.

So how else can you resolve classloader issues?

Thanks again - Richard

!SESSION 2007-07-19 08:00:49.397
-----------------------------------------------
eclipse.buildId=I20070625-1500
java.version=1.6.0-dp
java.vendor=Apple Computer, Inc.
BootLoader constants: OS=macosx, ARCH=x86, WS=carbon, NL=en_US
Command-line arguments: -os macosx -ws carbon -arch x86

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.759
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/javax.wsdl_1.4.0.v20070611 1329.jar
Bundle "javax.wsdl" version "1.4.0.v200706111329" has already been
installed from: update@plugins/javax.wsdl_1.4.0.v200706111329.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.768
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.apache.xerces_2.8.0.v2 00705301630.jar
Bundle "org.apache.xerces" version "2.8.0.v200705301630" has already
been installed from:
update@plugins/org.apache.xerces_2.8.0.v200705301630.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.770
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.apache.xml.resolver_1. 1.0.v200705310020.jar
Bundle "org.apache.xml.resolver" version "1.1.0.v200705310020" has
already been installed from:
update@plugins/org.apache.xml.resolver_1.1.0.v200705310020.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.771
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.datatools.conn ectivity.db.generic.ui_1.0.0.200706071.jar
Bundle "org.eclipse.datatools.connectivity.db.generic.ui" version
"1.0.0.200706071" has already been installed from:
update@plugins /org.eclipse.datatools.connectivity.db.generic.ui_1.0.0.2007 06071.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.772
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.datatools.conn ectivity.db.generic_1.0.0.200706071.jar
Bundle "org.eclipse.datatools.connectivity.db.generic" version
"1.0.0.200706071" has already been installed from:
update@plugins /org.eclipse.datatools.connectivity.db.generic_1.0.0.2007060 71.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.773
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.datatools.conn ectivity.dbdefinition.genericJDBC_1.0.0.200706071.jar
Bundle "org.eclipse.datatools.connectivity.dbdefinition.genericJDBC "
version "1.0.0.200706071" has already been installed from:
update@plugins /org.eclipse.datatools.connectivity.dbdefinition.genericJDBC _1.0.0.200706071.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.774
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.datatools.help _1.5.0.200706181.jar
Bundle "org.eclipse.datatools.help" version "1.5.0.200706181" has
already been installed from:
update@plugins/org.eclipse.datatools.help_1.5.0.200706181.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.775
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.datatools.sqlt ools.db.generic_1.0.0.200706131.jar
Bundle "org.eclipse.datatools.sqltools.db.generic" version
"1.0.0.200706131" has already been installed from:
update@plugins /org.eclipse.datatools.sqltools.db.generic_1.0.0.200706131.j ar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.778
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.draw2d_3.2.100 .v20070529.jar
Bundle "org.eclipse.draw2d" version "3.2.100.v20070529" has already been
installed from: update@plugins/org.eclipse.draw2d_3.2.100.v20070529.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.779
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.emf.commonj.sd o_2.3.0.v200706262000.jar
Bundle "org.eclipse.emf.commonj.sdo" version "2.3.0.v200706262000" has
already been installed from:
update@plugins/org.eclipse.emf.commonj.sdo_2.3.0.v200706262000.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.780
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.emf.ecore.sdo_ 2.3.0.v200706262000.jar
Bundle "org.eclipse.emf.ecore.sdo" version "2.3.0.v200706262000" has
already been installed from:
update@plugins/org.eclipse.emf.ecore.sdo_2.3.0.v200706262000.jar

!ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.783
!MESSAGE Could not install bundle
../eclipsePlugins/eclipse/plugins/org.eclipse.gef_3.2.100.v2 0070620.jar
Bundle "org.eclipse.gef" version "3.2.100.v20070620" has already been
installed from: update@plugins/org.eclipse.gef_3.2.100.v20070620.jar


!ENTRY org.eclipse.stp.common 4 0 2007-07-19 08:01:36.391
!MESSAGE Celtix Java To Wsdl Generation failure
!STACK 0
java.lang.LinkageError: loader constraints violated when linking
javax/xml/namespace/QName class
at
com.sun.xml.bind.v2.model.impl.RuntimeBuiltinLeafInfoImpl.<clinit >(RuntimeBuiltinLeafInfoImpl.java:186)
at
com.sun.xml.bind.v2.model.impl.RuntimeTypeInfoSetImpl.<init >(RuntimeTypeInfoSetImpl.java:25)
at
com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:84)
at
com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:41)
at
com.sun.xml.bind.v2.model.impl.ModelBuilder.<init>(ModelBuilder.java:104)
at
com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.<init>(RuntimeModelBuilder.java:49)
at
com.sun.xml.bind.v2.runtime.JAXBContextImpl.getTypeInfoSet(J AXBContextImpl.java:372)
at
com.sun.xml.bind.v2.runtime.JAXBContextImpl.<init>(JAXBContextImpl.java:236)
at
com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:76)
at
com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:55)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:589)
at javax.xml.bind.ContextFinder.newInstance(ContextFinder.java: 210)
at javax.xml.bind.ContextFinder.find(ContextFinder.java:366)
at javax.xml.bind.JAXBContext.newInstance(JAXBContext.java:574)
at
org.apache.cxf.jaxb.JAXBDataBinding.createJAXBContext(JAXBDa taBinding.java:397)
at
org.apache.cxf.jaxb.JAXBDataBinding.initialize(JAXBDataBindi ng.java:267)
at
org.apache.cxf.service.factory.ReflectionServiceFactoryBean. buildServiceFromClass(ReflectionServiceFactoryBean.java:220)
at
org.apache.cxf.service.factory.ReflectionServiceFactoryBean. initializeServiceModel(ReflectionServiceFactoryBean.java:248 )
at
org.apache.cxf.service.factory.ReflectionServiceFactoryBean. create(ReflectionServiceFactoryBean.java:136)
at
org.apache.cxf.frontend.AbstractEndpointFactory.createEndpoi nt(AbstractEndpointFactory.java:83)
at
org.apache.cxf.frontend.AbstractServiceFactory.createService (AbstractServiceFactory.java:29)
at
org.apache.cxf.tools.java2wsdl.processor.JavaToProcessor.pro cess(JavaToProcessor.java:87)
at
org.eclipse.stp.sc.cxf.generators.CeltixJavaToWsdlGenerator. run(CeltixJavaToWsdlGenerator.java:102)
at
org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.genera te(ScJavaToWsdlBuilder.java:85)
at
org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.buildO neJavaFile(ScJavaToWsdlBuilder.java:57)
at
org.eclipse.stp.sc.common.builders.ScJavaBuilder.visitResour ceFile(ScJavaBuilder.java:124)
at
org.eclipse.stp.sc.common.builders.ScJavaBuilder.access$0(Sc JavaBuilder.java:112)
at
org.eclipse.stp.sc.common.builders.ScJavaBuilder$ScBuildDelt aVisitor.visit(ScJavaBuilder.java:185)
at
org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:67)
Re: STP Europa on a Intel MacBook Pro [message #589746 is a reply to message #374119] Thu, 19 July 2007 17:48 Go to previous message
Eclipse UserFriend
Originally posted by: atoulme.intalio.com

Rich, at this point googling for the error message is the best
alternative. I found one other occurence of this error for the Corona guys:

http://dev.eclipse.org/mhonarc/lists/corona-dev/msg00782.htm l

You could also consider addressing the problem on the Celtix mailing list.

Cheers,

Antoine

Rich wrote:
> Unfortunately upgrading to the 1.6.0 release of Java for Mac OsX Tiger
> (10.4) did not help. I still get the LinkageError (see way down below).
>
> There are some additional messages complaining about bundles that have
> been already installed - but I doubt this is related, as I have
> consistently gotten the LinkageError even when I updated using the
> Update service. On this install, I updated from a local update source to
> add the STP components. The source was an extension location for my
> Windows Vista setup that works correctly.
>
> So how else can you resolve classloader issues?
>
> Thanks again - Richard
>
> !SESSION 2007-07-19 08:00:49.397
> -----------------------------------------------
> eclipse.buildId=I20070625-1500
> java.version=1.6.0-dp
> java.vendor=Apple Computer, Inc.
> BootLoader constants: OS=macosx, ARCH=x86, WS=carbon, NL=en_US
> Command-line arguments: -os macosx -ws carbon -arch x86
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.759
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/javax.wsdl_1.4.0.v200706111 329.jar
> Bundle "javax.wsdl" version "1.4.0.v200706111329" has already been
> installed from: update@plugins/javax.wsdl_1.4.0.v200706111329.jar
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.768
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.apache.xerces_2.8.0.v20 0705301630.jar
> Bundle "org.apache.xerces" version "2.8.0.v200705301630" has already
> been installed from:
> update@plugins/org.apache.xerces_2.8.0.v200705301630.jar
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.770
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.apache.xml.resolver_1.1 .0.v200705310020.jar
> Bundle "org.apache.xml.resolver" version "1.1.0.v200705310020" has
> already been installed from:
> update@plugins/org.apache.xml.resolver_1.1.0.v200705310020.jar
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.771
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.datatools.conne ctivity.db.generic.ui_1.0.0.200706071.jar
> Bundle "org.eclipse.datatools.connectivity.db.generic.ui" version
> "1.0.0.200706071" has already been installed from:
> update@plugins /org.eclipse.datatools.connectivity.db.generic.ui_1.0.0.2007 06071.jar
>
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.772
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.datatools.conne ctivity.db.generic_1.0.0.200706071.jar
> Bundle "org.eclipse.datatools.connectivity.db.generic" version
> "1.0.0.200706071" has already been installed from:
> update@plugins /org.eclipse.datatools.connectivity.db.generic_1.0.0.2007060 71.jar
>
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.773
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.datatools.conne ctivity.dbdefinition.genericJDBC_1.0.0.200706071.jar
> Bundle "org.eclipse.datatools.connectivity.dbdefinition.genericJDBC "
> version "1.0.0.200706071" has already been installed from:
> update@plugins /org.eclipse.datatools.connectivity.dbdefinition.genericJDBC _1.0.0.200706071.jar
>
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.774
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.datatools.help_ 1.5.0.200706181.jar
> Bundle "org.eclipse.datatools.help" version "1.5.0.200706181" has
> already been installed from:
> update@plugins/org.eclipse.datatools.help_1.5.0.200706181.jar
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.775
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.datatools.sqlto ols.db.generic_1.0.0.200706131.jar
> Bundle "org.eclipse.datatools.sqltools.db.generic" version
> "1.0.0.200706131" has already been installed from:
> update@plugins /org.eclipse.datatools.sqltools.db.generic_1.0.0.200706131.j ar
>
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.778
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.draw2d_3.2.100. v20070529.jar
> Bundle "org.eclipse.draw2d" version "3.2.100.v20070529" has already
> been installed from:
> update@plugins/org.eclipse.draw2d_3.2.100.v20070529.jar
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.779
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.emf.commonj.sdo _2.3.0.v200706262000.jar
> Bundle "org.eclipse.emf.commonj.sdo" version "2.3.0.v200706262000" has
> already been installed from:
> update@plugins/org.eclipse.emf.commonj.sdo_2.3.0.v200706262000.jar
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.780
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.emf.ecore.sdo_2 .3.0.v200706262000.jar
> Bundle "org.eclipse.emf.ecore.sdo" version "2.3.0.v200706262000" has
> already been installed from:
> update@plugins/org.eclipse.emf.ecore.sdo_2.3.0.v200706262000.jar
> !ENTRY org.eclipse.update.configurator 2007-07-19 08:00:51.783
> !MESSAGE Could not install bundle
> ./eclipsePlugins/eclipse/plugins/org.eclipse.gef_3.2.100.v20 070620.jar
> Bundle "org.eclipse.gef" version "3.2.100.v20070620" has already been
> installed from: update@plugins/org.eclipse.gef_3.2.100.v20070620.jar
>
>
> !ENTRY org.eclipse.stp.common 4 0 2007-07-19 08:01:36.391
> !MESSAGE Celtix Java To Wsdl Generation failure
> !STACK 0
> java.lang.LinkageError: loader constraints violated when linking
> javax/xml/namespace/QName class
> at
> com.sun.xml.bind.v2.model.impl.RuntimeBuiltinLeafInfoImpl.<clinit >(RuntimeBuiltinLeafInfoImpl.java:186)
>
> at
> com.sun.xml.bind.v2.model.impl.RuntimeTypeInfoSetImpl.<init >(RuntimeTypeInfoSetImpl.java:25)
>
> at
> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:84)
>
> at
> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:41)
>
> at
> com.sun.xml.bind.v2.model.impl.ModelBuilder.<init>(ModelBuilder.java:104)
> at
> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.<init>(RuntimeModelBuilder.java:49)
>
> at
> com.sun.xml.bind.v2.runtime.JAXBContextImpl.getTypeInfoSet(J AXBContextImpl.java:372)
>
> at
> com.sun.xml.bind.v2.runtime.JAXBContextImpl.<init>(JAXBContextImpl.java:236)
>
> at
> com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:76)
> at
> com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:55)
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
>
> at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
>
> at java.lang.reflect.Method.invoke(Method.java:589)
> at javax.xml.bind.ContextFinder.newInstance(ContextFinder.java: 210)
> at javax.xml.bind.ContextFinder.find(ContextFinder.java:366)
> at javax.xml.bind.JAXBContext.newInstance(JAXBContext.java:574)
> at
> org.apache.cxf.jaxb.JAXBDataBinding.createJAXBContext(JAXBDa taBinding.java:397)
>
> at
> org.apache.cxf.jaxb.JAXBDataBinding.initialize(JAXBDataBindi ng.java:267)
> at
> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. buildServiceFromClass(ReflectionServiceFactoryBean.java:220)
>
> at
> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. initializeServiceModel(ReflectionServiceFactoryBean.java:248 )
>
> at
> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. create(ReflectionServiceFactoryBean.java:136)
>
> at
> org.apache.cxf.frontend.AbstractEndpointFactory.createEndpoi nt(AbstractEndpointFactory.java:83)
>
> at
> org.apache.cxf.frontend.AbstractServiceFactory.createService (AbstractServiceFactory.java:29)
>
> at
> org.apache.cxf.tools.java2wsdl.processor.JavaToProcessor.pro cess(JavaToProcessor.java:87)
>
> at
> org.eclipse.stp.sc.cxf.generators.CeltixJavaToWsdlGenerator. run(CeltixJavaToWsdlGenerator.java:102)
>
> at
> org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.genera te(ScJavaToWsdlBuilder.java:85)
>
> at
> org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.buildO neJavaFile(ScJavaToWsdlBuilder.java:57)
>
> at
> org.eclipse.stp.sc.common.builders.ScJavaBuilder.visitResour ceFile(ScJavaBuilder.java:124)
>
> at
> org.eclipse.stp.sc.common.builders.ScJavaBuilder.access$0(Sc JavaBuilder.java:112)
>
> at
> org.eclipse.stp.sc.common.builders.ScJavaBuilder$ScBuildDelt aVisitor.visit(ScJavaBuilder.java:185)
>
> at
> org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:67)
>
>
>


--
Intalio, the Open Source BPMS Company

<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website</a>
Re: STP Europa on a Intel MacBook Pro [message #592858 is a reply to message #374113] Fri, 27 July 2007 05:44 Go to previous message
Johnson Ma is currently offline Johnson MaFriend
Messages: 17
Registered: July 2009
Junior Member
Hi Rich,

We also meet the java.lang.LinkageError for javax/xml/namespace/QName during
development.
After tracking the class loading process, i found that QName was defined in
two places in that case:
jre/lib/rt.jar and stax-api-1.0.jar (comes from Apache CXF plugin). and
there are
different versions. Both of them have been loaded to jvm during j2w, which
caused the QName link error for JVM.
Please read the wiki page on detail reason and work around
(-Dorg.osgi.framework.bootdelegation=*)

http://wiki.eclipse.org/Eclisep_3.3_runtime_options_for_STP. SC


Regards


Johnson

"Rich" <rnmixon@custco.biz> wrote in message
news:ffa152fec79ade0aa0f24cfad9550dd2$1@www.eclipse.org...
>I saw one earlier posting about someone having problems with a mac, but no
>real resolution.
>
> I have tried to follow the instructions at:
> http://wiki.eclipse.org/STP_Service_Creation_getting_started
>
> First, is there an updated set of instructions for trying to use STP with
> Europa? These were create April 28 using milestone builds it looks like.
> Things have changed a bit since them. It would be nice to have a set of
> instructions that work with update manager.
>
> On to solving the problem. I'm trying to use Europa as the basis. I have
> tried numerous ways - using the update function and trying to scrounge
> equivalent downloaded packages to the one in the Wiki article.
>
> This works fine on Windows Vista, but on my MacBook Pro, no matter how I
> do it, I end up with the following error when I try and generate WSDL:
> !ENTRY org.eclipse.stp.common 4 0 2007-07-17 19:41:13.188
> !MESSAGE Celtix Java To Wsdl Generation failure
> !STACK 0 java.lang.LinkageError: loader constraints violated when linking
> javax/xml/namespace/QName class
> at
> com.sun.xml.bind.v2.model.impl.RuntimeBuiltinLeafInfoImpl.<clinit >(RuntimeBuiltinLeafInfoImpl.java:186)
> at
> com.sun.xml.bind.v2.model.impl.RuntimeTypeInfoSetImpl.<init >(RuntimeTypeInfoSetImpl.java:25)
> at
> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:84)
> at
> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:41)
> at
> com.sun.xml.bind.v2.model.impl.ModelBuilder.<init>(ModelBuilder.java:104)
> at
> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.<init>(RuntimeModelBuilder.java:49)
> at
> com.sun.xml.bind.v2.runtime.JAXBContextImpl.getTypeInfoSet(J AXBContextImpl.java:372)
> at
> com.sun.xml.bind.v2.runtime.JAXBContextImpl.<init>(JAXBContextImpl.java:236)
> at
> com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:76)
> at
> com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:55)
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
> at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
> at java.lang.reflect.Method.invoke(Method.java:585)
> at javax.xml.bind.ContextFinder.newInstance(ContextFinder.java: 210)
> at javax.xml.bind.ContextFinder.find(ContextFinder.java:366)
> at javax.xml.bind.JAXBContext.newInstance(JAXBContext.java:574)
> at
> org.apache.cxf.jaxb.JAXBDataBinding.createJAXBContext(JAXBDa taBinding.java:397)
> at
> org.apache.cxf.jaxb.JAXBDataBinding.initialize(JAXBDataBindi ng.java:267)
> at
> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. buildServiceFromClass(ReflectionServiceFactoryBean.java:220)
> at
> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. initializeServiceModel(ReflectionServiceFactoryBean.java:248 )
> at
> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. create(ReflectionServiceFactoryBean.java:136)
> at
> org.apache.cxf.frontend.AbstractEndpointFactory.createEndpoi nt(AbstractEndpointFactory.java:83)
> at
> org.apache.cxf.frontend.AbstractServiceFactory.createService (AbstractServiceFactory.java:29)
> at
> org.apache.cxf.tools.java2wsdl.processor.JavaToProcessor.pro cess(JavaToProcessor.java:87)
> at
> org.eclipse.stp.sc.cxf.generators.CeltixJavaToWsdlGenerator. run(CeltixJavaToWsdlGenerator.java:102)
> at
> org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.genera te(ScJavaToWsdlBuilder.java:85)
> at
> org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.buildO neJavaFile(ScJavaToWsdlBuilder.java:57)
> at
> org.eclipse.stp.sc.common.builders.ScJavaBuilder.visitResour ceFile(ScJavaBuilder.java:124)
> at
> org.eclipse.stp.sc.common.builders.ScJavaBuilder.access$0(Sc JavaBuilder.java:112)
> at
> org.eclipse.stp.sc.common.builders.ScJavaBuilder$ScBuildDelt aVisitor.visit(ScJavaBuilder.java:185)
> at
> org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:67)
> at
> org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:76)
> at
> org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:76)
> ..
> ..
>
>
> Any ideas on how to fix this?
>
> Thank you - Richard
>
Re: STP Europa on a Intel MacBook Pro [message #592867 is a reply to message #374206] Fri, 27 July 2007 05:56 Go to previous message
Johnson Ma is currently offline Johnson MaFriend
Messages: 17
Registered: July 2009
Junior Member
Hi Rich,
I missed your previous post that you already set the
Dorg.osgi.framework.bootdelegation=* flag.

I don't have an mac here. Can you add -verbose:class jvm flag before
starting eclipse? Then we can know which class and jar caused this
LinkError.

For the JVM version, 5.0 is good so far. I think cxf has some problem to run
on jdk6.

Regards

Johnson


"johnson ma" <johnson.ma@iona.com> wrote in message
news:f8c0rc$sa2$1@build.eclipse.org...
> Hi Rich,
>
> We also meet the java.lang.LinkageError for javax/xml/namespace/QName
> during development.
> After tracking the class loading process, i found that QName was defined
> in two places in that case:
> jre/lib/rt.jar and stax-api-1.0.jar (comes from Apache CXF plugin). and
> there are
> different versions. Both of them have been loaded to jvm during j2w, which
> caused the QName link error for JVM.
> Please read the wiki page on detail reason and work around
> (-Dorg.osgi.framework.bootdelegation=*)
>
> http://wiki.eclipse.org/Eclisep_3.3_runtime_options_for_STP. SC
>
>
> Regards
>
>
> Johnson
>
> "Rich" <rnmixon@custco.biz> wrote in message
> news:ffa152fec79ade0aa0f24cfad9550dd2$1@www.eclipse.org...
>>I saw one earlier posting about someone having problems with a mac, but no
>>real resolution.
>>
>> I have tried to follow the instructions at:
>> http://wiki.eclipse.org/STP_Service_Creation_getting_started
>>
>> First, is there an updated set of instructions for trying to use STP with
>> Europa? These were create April 28 using milestone builds it looks like.
>> Things have changed a bit since them. It would be nice to have a set of
>> instructions that work with update manager.
>>
>> On to solving the problem. I'm trying to use Europa as the basis. I have
>> tried numerous ways - using the update function and trying to scrounge
>> equivalent downloaded packages to the one in the Wiki article.
>>
>> This works fine on Windows Vista, but on my MacBook Pro, no matter how I
>> do it, I end up with the following error when I try and generate WSDL:
>> !ENTRY org.eclipse.stp.common 4 0 2007-07-17 19:41:13.188
>> !MESSAGE Celtix Java To Wsdl Generation failure
>> !STACK 0 java.lang.LinkageError: loader constraints violated when linking
>> javax/xml/namespace/QName class
>> at
>> com.sun.xml.bind.v2.model.impl.RuntimeBuiltinLeafInfoImpl.<clinit >(RuntimeBuiltinLeafInfoImpl.java:186)
>> at
>> com.sun.xml.bind.v2.model.impl.RuntimeTypeInfoSetImpl.<init >(RuntimeTypeInfoSetImpl.java:25)
>> at
>> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:84)
>> at
>> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.createTyp eInfoSet(RuntimeModelBuilder.java:41)
>> at
>> com.sun.xml.bind.v2.model.impl.ModelBuilder.<init>(ModelBuilder.java:104)
>> at
>> com.sun.xml.bind.v2.model.impl.RuntimeModelBuilder.<init>(RuntimeModelBuilder.java:49)
>> at
>> com.sun.xml.bind.v2.runtime.JAXBContextImpl.getTypeInfoSet(J AXBContextImpl.java:372)
>> at
>> com.sun.xml.bind.v2.runtime.JAXBContextImpl.<init>(JAXBContextImpl.java:236)
>> at
>> com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:76)
>> at
>> com.sun.xml.bind.v2.ContextFactory.createContext(ContextFact ory.java:55)
>> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>> at
>> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
>> at
>> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
>> at java.lang.reflect.Method.invoke(Method.java:585)
>> at
>> javax.xml.bind.ContextFinder.newInstance(ContextFinder.java: 210)
>> at javax.xml.bind.ContextFinder.find(ContextFinder.java:366)
>> at javax.xml.bind.JAXBContext.newInstance(JAXBContext.java:574)
>> at
>> org.apache.cxf.jaxb.JAXBDataBinding.createJAXBContext(JAXBDa taBinding.java:397)
>> at
>> org.apache.cxf.jaxb.JAXBDataBinding.initialize(JAXBDataBindi ng.java:267)
>> at
>> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. buildServiceFromClass(ReflectionServiceFactoryBean.java:220)
>> at
>> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. initializeServiceModel(ReflectionServiceFactoryBean.java:248 )
>> at
>> org.apache.cxf.service.factory.ReflectionServiceFactoryBean. create(ReflectionServiceFactoryBean.java:136)
>> at
>> org.apache.cxf.frontend.AbstractEndpointFactory.createEndpoi nt(AbstractEndpointFactory.java:83)
>> at
>> org.apache.cxf.frontend.AbstractServiceFactory.createService (AbstractServiceFactory.java:29)
>> at
>> org.apache.cxf.tools.java2wsdl.processor.JavaToProcessor.pro cess(JavaToProcessor.java:87)
>> at
>> org.eclipse.stp.sc.cxf.generators.CeltixJavaToWsdlGenerator. run(CeltixJavaToWsdlGenerator.java:102)
>> at
>> org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.genera te(ScJavaToWsdlBuilder.java:85)
>> at
>> org.eclipse.stp.sc.jaxws.builders.ScJavaToWsdlBuilder.buildO neJavaFile(ScJavaToWsdlBuilder.java:57)
>> at
>> org.eclipse.stp.sc.common.builders.ScJavaBuilder.visitResour ceFile(ScJavaBuilder.java:124)
>> at
>> org.eclipse.stp.sc.common.builders.ScJavaBuilder.access$0(Sc JavaBuilder.java:112)
>> at
>> org.eclipse.stp.sc.common.builders.ScJavaBuilder$ScBuildDelt aVisitor.visit(ScJavaBuilder.java:185)
>> at
>> org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:67)
>> at
>> org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:76)
>> at
>> org.eclipse.core.internal.events.ResourceDelta.accept(Resour ceDelta.java:76)
>> ..
>> ..
>>
>>
>> Any ideas on how to fix this?
>>
>> Thank you - Richard
>>
>
>
Re: STP Europa on a Intel MacBook Pro [message #592914 is a reply to message #374207] Tue, 31 July 2007 05:48 Go to previous message
Richard is currently offline RichardFriend
Messages: 49
Registered: July 2009
Member
Johnson,

Thanks for noticing :) I was away for a few days.

While trying to get the -verbose:class to work (never did as far as I can
tell). I finally realized (I think) that on Mac Os X, the
~/tools/eclipse/eclipse.ini file is not used. Instead I have to open the
Eclipse.app launcher and use the Contents/MacOS/eclipse.ini file. Once I
modified that with the "-Dorg.osgi.framework.bootdelegation=*" property,
the WSDL generation now seems to be working without the QName LinkageError
exception.

One note, it does require me to pre-create the package structure under the
WSDL directory in the example (e.g. wsdl/com/ibm/dw/scicalc) which took a
bit of figuring out.

Thank you again for your help/ear. I can try this STP things out a bit
more now.

- Richard
Re: STP Europa on a Intel MacBook Pro [message #592994 is a reply to message #374211] Fri, 31 August 2007 13:38 Go to previous message
Eclipse UserFriend
Originally posted by: atoulme.intalio.com

I finally realized (I think) that on Mac Os X, the
> ~/tools/eclipse/eclipse.ini file is not used. Instead I have to open the
> Eclipse.app launcher and use the Contents/MacOS/eclipse.ini file.
I filed a bug regarding this point:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=201904

Please feel free to review and vote!

Cheers,

Antoine

--
Intalio, the Open Source BPMS Company

<a href="http://www.intalio.com">http://www.intalio.com</a>
<a href="http://bpms.intalio.com">Community website</a>
Previous Topic:Problems with SCA HelloWorld example.
Next Topic:BPMN Modeler Metamodel
Goto Forum:
  


Current Time: Wed Nov 26 07:57:47 GMT 2014

Powered by FUDForum. Page generated in 0.03733 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software